package com.bcxin.ars.model.trilog;


import com.bcxin.ars.serializer.LongJsonDeserializer;
import com.bcxin.ars.serializer.LongJsonSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by Administrator on 2019/2/18.
 */
public class TriLog implements Serializable {

    /**
     * 触发器日志ID
     */
    @JsonSerialize(using = LongJsonSerializer.class)
    @JsonDeserialize(using = LongJsonDeserializer.class)
    private Long triLogId;

    /**
     * 创建时间
     */
    private Date createTime;

    private String triType;

    private String ddlType;

    private String tableName;

    private String tablePrmKey;

    private String dbUser;

    private String dbUserRealName;

    public Long getTriLogId() {
        return triLogId;
    }

    public void setTriLogId(Long triLogId) {
        this.triLogId = triLogId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTriType() {
        return triType;
    }

    public void setTriType(String triType) {
        this.triType = triType;
    }

    public String getDdlType() {
        return ddlType;
    }

    public void setDdlType(String ddlType) {
        this.ddlType = ddlType;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getTablePrmKey() {
        return tablePrmKey;
    }

    public void setTablePrmKey(String tablePrmKey) {
        this.tablePrmKey = tablePrmKey;
    }

    public String getDbUser() {
        return dbUser;
    }

    public void setDbUser(String dbUser) {
        this.dbUser = dbUser;
    }

    public String getDbUserRealName() {
        return dbUserRealName;
    }

    public void setDbUserRealName(String dbUserRealName) {
        this.dbUserRealName = dbUserRealName;
    }
}
